Foxit PDF Conversion SDK

Public Member Functions | List of all members
com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData Class Reference

## Public Member Functions
| PDF2PowerPointSettingData ()
| Constructor.
| PDF2PowerPointSettingData (boolean enable_aggressively_split_sections, boolean enable_adapt_to_largest_page)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getEnable_adapt_to_largest_page ()
| Get a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. More...
boolean | getEnable_aggressively_split_sections ()
| Get a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. More...
void | set (boolean enable_aggressively_split_sections, boolean enable_adapt_to_largest_page)
| Set value. More...
void | setEnable_adapt_to_largest_page (boolean value)
| Set a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. More...
void | setEnable_aggressively_split_sections (boolean value)
| Set a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Power Point format documents.

## Constructor & Destructor Documentation

## ◆ PDF2PowerPointSettingData()

com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.PDF2PowerPointSettingData | ( | boolean | enable_aggressively_split_sections,
|  | boolean | enable_adapt_to_largest_page
| ) |  |

Constructor, with parameters.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEnable_adapt_to_largest_page()

com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.getEnable_adapt_to_largest_page | ( |  | ) |

Get a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format.

Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Returns
  A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false.

## ◆ getEnable_aggressively_split_sections()

com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.getEnable_aggressively_split_sections | ( |  | ) |

Get a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents.

In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.

Returns
  A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false.

## ◆ set()

void com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.set | ( | boolean | enable_aggressively_split_sections,
|  | boolean | enable_adapt_to_largest_page
| ) |  |

Set value.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Returns
  None.

## ◆ setEnable_adapt_to_largest_page()

com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.setEnable_adapt_to_largest_page | ( | boolean | value | ) |

Set a boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format.

Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Parameters

  [in] | value | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false.

Returns
  None.

## ◆ setEnable_aggressively_split_sections()

com.foxit.sdk.conversion.pdf2office.PDF2PowerPointSettingData.setEnable_aggressively_split_sections | ( | boolean | value | ) |

Set a boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents.

In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.

Parameters

  [in] | value | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false.

Returns
  None.